Subject: The Search for Performance in Scientific Processors
From: John Cocke <[email-masked]>
To: Alan Turing <[email-masked]>
Date: Mon, 16 Feb 1987 12:00:00 -0600

I am honored and grateful to have been selected to join the ranks of ACM 
Turing Award winners. I probably have spent too much of my life thinking 
about computers, but I do not regret it a bit. I was fortunate to enter the 
field of computing in its infancy and participate in its explosive growth. 
The rapid evolution of the underlying technologies in the past 30 years has 
not only provided an exciting environment, but has also presented a 
constant stream of intellectual challenges to those of us trying to harness 
this power and squeeze it to the last ounce. I hasten to say, especially to 
the 
younger members of the audience, there is no end in sight. As a matter of 
fact, I believe the next thirty years will be even more exciting and rich 
with challenges.